Package org.eclipse.emf.cdo.spi.common.admin

## Interface CDOAdminProtocolConstants

-     public interface CDOAdminProtocolConstants

  Symbolic protocol constants commonly used in CDO administration.
  Since:
    4.1
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PROTOCOL_NAME` |
    `static short` | `SIGNAL_AUTHENTICATION` |
    `static short` | `SIGNAL_CONFIRMATION` |
    `static short` | `SIGNAL_CREATE_REPOSITORY` |
    `static short` | `SIGNAL_DELETE_REPOSITORY` |
    `static short` | `SIGNAL_QUERY_REPOSITORIES` |
    `static short` | `SIGNAL_REPOSITORY_ADDED` |
    `static short` | `SIGNAL_REPOSITORY_REMOVED` |
    `static short` | `SIGNAL_REPOSITORY_REPLICATION_PROGRESSED` |
    `static short` | `SIGNAL_REPOSITORY_STATE_CHANGED` |
    `static short` | `SIGNAL_REPOSITORY_TYPE_CHANGED` |

- - ### Field Detail

    - #### PROTOCOL_NAME

          static final java.lang.String PROTOCOL_NAME

      See Also:
        Constant Field Values

    - #### SIGNAL_QUERY_REPOSITORIES

          static final short SIGNAL_QUERY_REPOSITORIES

      See Also:
        Constant Field Values

    - #### SIGNAL_CREATE_REPOSITORY

          static final short SIGNAL_CREATE_REPOSITORY

      See Also:
        Constant Field Values

    - #### SIGNAL_DELETE_REPOSITORY

          static final short SIGNAL_DELETE_REPOSITORY

      See Also:
        Constant Field Values

    - #### SIGNAL_REPOSITORY_ADDED

          static final short SIGNAL_REPOSITORY_ADDED

      See Also:
        Constant Field Values

    - #### SIGNAL_REPOSITORY_REMOVED

          static final short SIGNAL_REPOSITORY_REMOVED

      See Also:
        Constant Field Values

    - #### SIGNAL_REPOSITORY_TYPE_CHANGED

          static final short SIGNAL_REPOSITORY_TYPE_CHANGED

      See Also:
        Constant Field Values

    - #### SIGNAL_REPOSITORY_STATE_CHANGED

          static final short SIGNAL_REPOSITORY_STATE_CHANGED

      See Also:
        Constant Field Values

    - #### SIGNAL_REPOSITORY_REPLICATION_PROGRESSED

          static final short SIGNAL_REPOSITORY_REPLICATION_PROGRESSED

      See Also:
        Constant Field Values

    - #### SIGNAL_AUTHENTICATION

          static final short SIGNAL_AUTHENTICATION

      Since:
        4.3
      See Also:
        Constant Field Values

    - #### SIGNAL_CONFIRMATION

          static final short SIGNAL_CONFIRMATION

      Since:
        4.3
      See Also:
        Constant Field Values